Public Date:
893728: CVE-2012-2669 hypervkvpd: fails to check origin of netlink messages

The MITRE CVE dictionary describes this issue as:

The main function in tools/hv/hv_kvp_daemon.c in hypervkvpd, as distributed in the Linux kernel before 3.4.5, does not validate the origin of Netlink messages, which allows local users to spoof Netlink communication via a crafted connector message.

Find out more about CVE-2012-2669 from the MITRE CVE dictionary dictionary and NIST NVD.


Not vulnerable. This issue did not affect the versions of hypvervkvpd as shipped with Red Hat Enterprise Linux 5.

CVSS v2 metrics

NOTE: The following CVSS v2 metrics and score provided are preliminary and subject to review.

Base Score 2.1
Base Metrics AV:L/AC:L/Au:N/C:N/I:P/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 6 hypervkvpd Not affected
Red Hat Enterprise Linux 5 hypervkvpd Not affected